# Uses of Class
org.apache.lucene.queryparser.surround.query.SpanNearClauseFactory

Packages that use SpanNearClauseFactory
Package
Description
org.apache.lucene.queryparser.surround.query
This package contains SrndQuery and its subclasses.

- ## Uses of SpanNearClauseFactory in org.apache.lucene.queryparser.surround.query

  Methods in org.apache.lucene.queryparser.surround.query with parameters of type SpanNearClauseFactory
  Modifier and Type
  Method
  Description
  `void`
  DistanceQuery.`addSpanQueries(SpanNearClauseFactory sncf)`
  `void`
  DistanceSubQuery.`addSpanQueries(SpanNearClauseFactory sncf)`
  `void`
  OrQuery.`addSpanQueries(SpanNearClauseFactory sncf)`
  `void`
  SimpleTerm.`addSpanQueries(SpanNearClauseFactory sncf)`